Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoFlOrAllMutation< EOT > Class Template Reference

applies an atomic mutation to all the components with a given rate More...

`#include <eoFlOrMonOp.h>`

Inheritance diagram for eoFlOrAllMutation< EOT >:

List of all members.

## Public Types
typedef EOT::AtomType | AtomType
## Public Member Functions
| eoFlOrAllMutation (eoMonOp< AtomType > &_atomMutation, double _rate=1.0)
| default ctor: requires an Atom mutation and a rate
bool | operator() (EOT &_eo)
| applies the atom mutation to all components with given rate
virtual std::string | className () const
| inherited className()
## Private Attributes
eoMonOp< AtomType > & | atomMutation
double | rate

## Detailed Description

### template<class EOT>
class eoFlOrAllMutation< EOT >

applies an atomic mutation to all the components with a given rate

Definition at line 45 of file eoFlOrMonOp.h.

The documentation for this class was generated from the following file:

- eoFlOrMonOp.h